Bug 45365 - missing locales if built with gettext-0.10.38
missing locales if built with gettext-0.10.38
Product: Red Hat Raw Hide
Classification: Retired
Component: sawfish (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-21 11:14 EDT by Enrico Scholz
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-21 11:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-06-21 11:14:52 EDT
Description of Problem:

When rebuilding sawfish-0.38-2.src.rpm with current gettext compilation
fails silently because of bad multibyte chars:

make[1]: Entering directory
`/var/volatile/rpm/BUILD/sawfish-0.38/po'/usr/bin/msgfmt  -o ko.mo ko.po
ko.po:959: invalid multibyte sequencefound 1 fatal error
make[1]: *** [ko.mo] Error 1make[1]: Leaving directory
make[1]: Entering directory `/var/volatile/rpm/BUILD/sawfish-0.38/capplet'

This error is not fatal and compilation goes on, but in the binary RPM all
locales are missing.

How Reproducible:


Steps to Reproduce:
1. install gettext-0.10.382. 
2. rpm --rebuild sawfish-0.38-2.src.rpm
3. rpm -qlp sawfish-0.38-2.i386.rpm | grep locale

Actual Results:

<no output>

Expected Results:

<some .mo-files>

Additional Information:
$ rpm -q gettext
Comment 1 Havoc Pennington 2001-07-18 16:56:55 EDT
Fixed in .38-7

Note You need to log in before you can comment on or make changes to this bug.